#ifndef __MEAS_H__
#define __MEAS_H__

#include <bme680_defs.h>
#include <stdbool.h>

/**
 * @brief Initialize sensor
 * @return 0 if successful
 */
int meas_init_without_gas(void);

/**
 * @brief Do a single measurement
 * @param gas_enable select if gas measurement should be done
 * @param meas_data read data
 * @param ambient_temp Ambient Temperature
 * @return 0 if successful
 */
int meas_do(bool gas_enable, struct bme680_field_data *meas_data, int8_t ambient_temp);

#endif /* __MEAS_H__ */
